summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-python/aplpy
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-python/aplpy')
-rw-r--r--dev-python/aplpy/Manifest1
-rw-r--r--dev-python/aplpy/aplpy-0.9.14.ebuild46
-rw-r--r--dev-python/aplpy/metadata.xml15
3 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/aplpy/Manifest b/dev-python/aplpy/Manifest
new file mode 100644
index 00000000000..f6a8ac76b34
--- /dev/null
+++ b/dev-python/aplpy/Manifest
@@ -0,0 +1 @@
+DIST APLpy-0.9.14.tar.gz 1095547 SHA256 0313a91523b6a32a40e5b97da55243d5e59722cd8fa2e6642915edd26d464d69 SHA512 9cf12aa30d3c4540c2cc33907be3a12e78247a8880720e4de7e513842ef437f616b2c63a345a63e7a7081676aff56032840dc1528ed10438f7729cf2acb9da9f WHIRLPOOL 55c25aa11065b741e89b1538d96e57974bcb6b80f5708e5ee5f975742f7e04cbfe6df3da7b030c67a54bbcc929eaec46e2d2e34551d8f9e7365e2f2c4d5b3a0d
diff --git a/dev-python/aplpy/aplpy-0.9.14.ebuild b/dev-python/aplpy/aplpy-0.9.14.ebuild
new file mode 100644
index 00000000000..0ebbfbf83db
--- /dev/null
+++ b/dev-python/aplpy/aplpy-0.9.14.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1
+
+MYPN=APLpy
+MYP=${MYPN}-${PV}
+
+DESCRIPTION="Astronomical Plotting Library in Python"
+HOMEPAGE="http://aplpy.github.com/"
+SRC_URI="mirror://pypi/${MYPN:0:1}/${MYPN}/${MYP}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ dev-python/astropy[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/pyavm[${PYTHON_USEDEP}]
+ virtual/python-imaging[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MYP}
+
+python_compile() {
+ distutils-r1_python_compile --use-system-libraries --offline
+}
+
+python_test() {
+ distutils_install_for_testing --offline
+ cd "${TEST_DIR}" || die
+ "${EPYTHON}" -c "import aplpy, sys;r = aplpy.test();sys.exit(r)" \
+ || die "tests fail with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install --offline
+}
diff --git a/dev-python/aplpy/metadata.xml b/dev-python/aplpy/metadata.xml
new file mode 100644
index 00000000000..9f00245ca4e
--- /dev/null
+++ b/dev-python/aplpy/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci-astronomy</herd>
+<longdescription lang="en">
+ APLpy (the Astronomical Plotting Library in Python) is a Python
+ module aimed at producing publication-quality plots of astronomical
+ imaging data in FITS format. The module uses Matplotlib. It is
+ capable of creating output files in several graphical formats,
+ including EPS, PDF, PS, PNG, and SVG.
+</longdescription>
+<upstream>
+ <remote-id type="pypi">APLpy</remote-id>
+</upstream>
+</pkgmetadata>